Upsample or process existing video
curl --request POST \
--url https://api.mountsea.ai/gemini/video/upsample \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"videoId": "task-uuid-xxx",
"action": "get1080p"
}
'import requests
url = "https://api.mountsea.ai/gemini/video/upsample"
payload = {
"videoId": "task-uuid-xxx",
"action": "get1080p"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({videoId: 'task-uuid-xxx', action: 'get1080p'})
};
fetch('https://api.mountsea.ai/gemini/video/upsample', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taskId": "<string>"
}视频 (Veo / Omni)
视频超分
Upsample or generate preview from a previously generated video:
- GET1080P: Upscale video to 1080p resolution
- GET4K: Upscale video to 4K resolution
- GETGIF: Generate animated GIF preview
Requires a valid videoId from a completed /video/generate task.
POST
/
gemini
/
video
/
upsample
Upsample or process existing video
概述
对之前生成的视频进行超分辨率处理或生成预览:- get1080p — 将视频提升至 1080p 分辨率
- get4k — 将视频提升至 4K 分辨率
- getgif — 生成动态 GIF 预览
需要来自已完成的
/gemini/video/generate 任务的有效 videoId。授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
响应
201 - application/json
task id, used to get task result later